# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.003
%define module_name Bundle-ExCore
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: modules (to be) removed from the perl5 core
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MH/MHASCH/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Starting with perl v5.11.0, modules that once were Perl core or dual-life
modules could be deprecated and eventually removed from standard perl5
distributions, to become CPAN-only modules.

Bundle::ExCore is for you if you want to re-install most of those from
CPAN with a single step.  It can also be useful to upgrade them to their
latest stable releases to get rid of deprecation warnings.

If your code depends on one of these modules, you should still make sure
it is properly listed as a prerequisite, though.  Do not just install
Bundle::ExCore and ignore the issue.

Some modules have been deprecated and removed from their CPAN
distributions after being removed from core.  Installing one of those
would require an older version of the distribution rather than the latest
stable one.  Bundle::ExCore tries not to force you into this, as it is
intended to give back useful stuff dropped from the core rather than
standing in the way of progress.  This is why Bundle::ExCore contains
generally only main modules of CPAN distributions.  What is still present
in the distribution at the time of the upgrade will be pulled in as well,
but abandoned modules will not.

If one of the distributions of bundled modules is split into different
parts, Bundle::ExCore has to be updated to include a module of each of
the new parts containing former core stuff.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/B*

%changelog
* Fri May 22 2015 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- initial import by package builder

